<template>
    <!-- 公共组件 -->
    <div class="info">
        <v-head :title="'Transactions'" :show_more="false" :back_url="back_url" @onBack="clickBack" ></v-head>
        <popup-transactions style="height: calc(100% - 48px);"></popup-transactions>
    </div>

</template>

<script setup>
import VHead from '@/view/popup/components/head.vue'
import PopupTransactions from "@/view/components/popup-transactions";
import {ref, onMounted} from 'vue';
import router from "@/router/popup.js";

let back_url = ref('/');

onMounted(() => {
    let {params = '{}'} = router.currentRoute.value.query;
    let {backUrl = '/'} =  JSON.parse(params);
    
    if(backUrl == 'back') {
        back_url.value = '';
    }
})
</script>


<style lang='scss' scoped>
.info{
    height: 100%;
    overflow: hidden;
}
</style>
